CEL: Crystal Entity Layer: iLightQuestSeqOpFactory Struct Reference (CEL: Crystal Entity Layer Public API Reference)

| ## Public API Reference

- Main Page
- Classes
- Files

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# iLightQuestSeqOpFactory Struct Reference

This interface is implemented by the seqop that animates light colors. More...

`#include <tools/questmanager.h>`

List of all members.

## Public Member Functions
virtual void | SetAbsColorParameter (const char *red, const char *green, const char *blue)=0
| Set the absolute color.
virtual void | SetEntityParameter (const char *entity, const char *tag=0)=0
| Set the entity containing the pclight (either entity name or a parameter if it starts with '$').
virtual void | SetRelColorParameter (const char *red, const char *green, const char *blue)=0
| Set the relative color animation vector.

## Detailed Description

This interface is implemented by the seqop that animates light colors.

You can query this interface from the seqop factory if you want to manually control this factory as opposed to loading its definition from an XML document.

The predefined name of this seqop type is 'cel.questseqop.light'.

In XML, factories recognize the following attributes on the 'op' node:

- entity: the name of the entity containing the pclight property class.
- entity_tag: optional tag used to find the right property class from the entity.
- relcolor: relative color animation vector. This node has 'red', 'green, and 'blue' attributes. Each of these attributes can be a parameter.
- abscolor: absolute color. This node has 'red', 'green, and 'blue' attributes. Each of these attributes can be a parameter.

Definition at line 1794 of file questmanager.h.

## Member Function Documentation

virtual void iLightQuestSeqOpFactory::SetAbsColorParameter | ( | const char * | red,
|  | const char * | green,
|  | const char * | blue |
| ) |  |  | `[pure virtual]`

Set the absolute color.

virtual void iLightQuestSeqOpFactory::SetEntityParameter | ( | const char * | entity,
|  | const char * | tag = `0` |
| ) |  |  | `[pure virtual]`

Set the entity containing the pclight (either entity name or a parameter if it starts with '$').

Parameters:

  | tag | is the optional tag of the entity or a parameter (starts with '$').

virtual void iLightQuestSeqOpFactory::SetRelColorParameter | ( | const char * | red,
|  | const char * | green,
|  | const char * | blue |
| ) |  |  | `[pure virtual]`

Set the relative color animation vector.

The documentation for this struct was generated from the following file:

- tools/questmanager.h